flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From OmPrakash Muppirala <bigosma...@gmail.com>
Subject Re: [DISCUSS] Discuss Release Apache Flex SDK Installer 3.0 - RC7
Date Sun, 16 Mar 2014 06:49:22 GMT
On Mar 15, 2014 11:11 PM, "Alex Harui" <aharui@adobe.com> wrote:
>
>
>
> On 3/15/14 9:59 PM, "Justin Mclean" <justin@classsoftware.com> wrote:
>
> >Hi,
> >
> >> 1) Justin voted -1 and listed several issues.  I'm still looking for
> >> enough information to try to reproduce "Error: Inconsistant linkage in
> >>
>
>>/Users/justinmclean/Documents/ApacheFlexDevelopGit/frameworks/libs/air/ai
> >>rg
> >> lobal.swc(flash.utils:ByteArray, flash.utils:CompressionAlgorithm,
> >> flash.utils:IDataInput2, flash.utils:IDataOutput2) -
> >> 'flash.utils:ByteArray' is marked as extern, but
> >>'flash.utils:IDataInput2'
> >> is not"
> >> Justin: can you provide the steps to reproduce?
> >Change FLEX_HOME to point to a 4.12 SDK, (that's been set up with AIR
> >4.0) and try run ant in ant_for_air directory.
> Couldn't repro.  What is AIR_HOME pointing to?  BTW, I was able to
> reproduce the "invalid application descriptor" issue by pointing AIR_HOME
> to AIR 3.9.  But I can't repro this "Inconsistent Linkage" issue.  In the
> vote thread you mentioned someone about the "Latest SDK" and "Latest
> develop branch" so I'm not sure how those factor in.
>
> >
> >> 2) The Installer apparently has not and does not provide the correct
> >>build
> >> numbers for the RSLs for 4.11 and older releases (except for
> >> OSMF.swc/swf).  IOW, this is a bug in Installer 2.7 that is not fixed
> >>for
> >> older releases.  The installer.xml for 4.12 looks like it is providing
> >>the
> >> correct build numbers.
> >Yep in 4.12 the RSL numbers is correct so I don't see this as a show
> >stopper, but it would still be nice to fix. Users will run into this
> >issue and we'll have to spend time and effort in telling they how to fix
> >it.
> Are you going to vote -1 unless I fix it?
>
> >
> >> 3) The README incorrectly states that the ant_on_air build will pick up
> >> FLEX_HOME_WIN and FLEX_HOME_MAC environment variables and no longer
> >>states
> >> that the installer build will.  Since the README is not in the source
> >>kit,
> >> I was going to change the README, make a new tag, then post RC7 with
the
> >> modified README.
> >The README is in the source release so this would mean the signatures
> >would no longer be valid.
> Yes, you're right, I keep forgetting the build.xml is not at the
> top-level.  What do others think should we fix the README in an R8 or ship
> as is?
>
> >
> >Also the locale issue is a -1 for me even if the issue is elsewhere, we
> >can't release the installer if there an issue like this.  If you look at
> >the installs of 4.12 only about 16% of installs are from the USA.
> I guess the folks who tested the installer must have the right locales for
> their projects otherwise we'd be seeing more complaints?  IMO this mainly
> affects using 4.12 installed with the new installer to compile the
> installer?  What do other's think?  Should we hold off on this installer
> until we fix 4.12?
>
> -Alex

I personally would like you to go back to concentrating on FlexJS, so, yes,
let's pop the champagne on Installer 3.0.

We can always do a 3.1 if we get a lot of people complain.

Thanks,
Om
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message